Package org.codehaus.groovy.transform.stc

## Class StaticTypeCheckingSupport.DoubleArrayStaticTypesHelper

- java.lang.Object
- - org.codehaus.groovy.transform.stc.StaticTypeCheckingSupport.DoubleArrayStaticTypesHelper

- Enclosing class:
    StaticTypeCheckingSupport

      public static class StaticTypeCheckingSupport.DoubleArrayStaticTypesHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DoubleArrayStaticTypesHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Double` | `getAt​(double[] array, int index)` |
    `static void` | `putAt​(double[] array, int index, double value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoubleArrayStaticTypesHelper

          public DoubleArrayStaticTypesHelper()

  - ### Method Detail

    - #### getAt

          public static Double getAt​(double[] array,
                                     int index)

    - #### putAt

          public static void putAt​(double[] array,
                                   int index,
                                   double value)